<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "Usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$Usuario_delete = NULL; // Initialize page object first

class cUsuario_delete extends cUsuario {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'Usuario';

	// Page object name
	var $PageObjName = 'Usuario_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (Usuario)
		if (!isset($GLOBALS["Usuario"]) || get_class($GLOBALS["Usuario"]) == "cUsuario") {
			$GLOBALS["Usuario"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["Usuario"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'Usuario', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $Usuario;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($Usuario);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("Usuariolist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in Usuario class, Usuarioinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("Usuariolist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Tipo_doc->setDbValue($rs->fields('Tipo_doc'));
		$this->Documento->setDbValue($rs->fields('Documento'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Primer_ap->setDbValue($rs->fields('Primer_ap'));
		$this->Segundo_ap->setDbValue($rs->fields('Segundo_ap'));
		$this->Primer_nom->setDbValue($rs->fields('Primer_nom'));
		$this->Segundo_nom->setDbValue($rs->fields('Segundo_nom'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Codigo_dpto->setDbValue($rs->fields('Codigo_dpto'));
		$this->Cod_municipio->setDbValue($rs->fields('Cod_municipio'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Tipo_doc->DbValue = $row['Tipo_doc'];
		$this->Documento->DbValue = $row['Documento'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Primer_ap->DbValue = $row['Primer_ap'];
		$this->Segundo_ap->DbValue = $row['Segundo_ap'];
		$this->Primer_nom->DbValue = $row['Primer_nom'];
		$this->Segundo_nom->DbValue = $row['Segundo_nom'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Codigo_dpto->DbValue = $row['Codigo_dpto'];
		$this->Cod_municipio->DbValue = $row['Cod_municipio'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// Tipo_doc
		// Documento
		// Codigo_eps
		// Tipo_Usuario
		// Primer_ap
		// Segundo_ap
		// Primer_nom
		// Segundo_nom
		// Edad
		// Unidad_edad
		// Sexo
		// Codigo_dpto
		// Cod_municipio
		// Zona_residencia

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Tipo_doc
		$this->Tipo_doc->ViewValue = $this->Tipo_doc->CurrentValue;
		$this->Tipo_doc->ViewCustomAttributes = "";

		// Documento
		$this->Documento->ViewValue = $this->Documento->CurrentValue;
		$this->Documento->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Primer_ap
		$this->Primer_ap->ViewValue = $this->Primer_ap->CurrentValue;
		$this->Primer_ap->ViewCustomAttributes = "";

		// Segundo_ap
		$this->Segundo_ap->ViewValue = $this->Segundo_ap->CurrentValue;
		$this->Segundo_ap->ViewCustomAttributes = "";

		// Primer_nom
		$this->Primer_nom->ViewValue = $this->Primer_nom->CurrentValue;
		$this->Primer_nom->ViewCustomAttributes = "";

		// Segundo_nom
		$this->Segundo_nom->ViewValue = $this->Segundo_nom->CurrentValue;
		$this->Segundo_nom->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Codigo_dpto
		$this->Codigo_dpto->ViewValue = $this->Codigo_dpto->CurrentValue;
		$this->Codigo_dpto->ViewCustomAttributes = "";

		// Cod_municipio
		$this->Cod_municipio->ViewValue = $this->Cod_municipio->CurrentValue;
		$this->Cod_municipio->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

			// Tipo_doc
			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";
			$this->Tipo_doc->TooltipValue = "";

			// Documento
			$this->Documento->LinkCustomAttributes = "";
			$this->Documento->HrefValue = "";
			$this->Documento->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Primer_ap
			$this->Primer_ap->LinkCustomAttributes = "";
			$this->Primer_ap->HrefValue = "";
			$this->Primer_ap->TooltipValue = "";

			// Segundo_ap
			$this->Segundo_ap->LinkCustomAttributes = "";
			$this->Segundo_ap->HrefValue = "";
			$this->Segundo_ap->TooltipValue = "";

			// Primer_nom
			$this->Primer_nom->LinkCustomAttributes = "";
			$this->Primer_nom->HrefValue = "";
			$this->Primer_nom->TooltipValue = "";

			// Segundo_nom
			$this->Segundo_nom->LinkCustomAttributes = "";
			$this->Segundo_nom->HrefValue = "";
			$this->Segundo_nom->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Codigo_dpto
			$this->Codigo_dpto->LinkCustomAttributes = "";
			$this->Codigo_dpto->HrefValue = "";
			$this->Codigo_dpto->TooltipValue = "";

			// Cod_municipio
			$this->Cod_municipio->LinkCustomAttributes = "";
			$this->Cod_municipio->HrefValue = "";
			$this->Cod_municipio->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['Documento'];
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("Usuariolist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($Usuario_delete)) $Usuario_delete = new cUsuario_delete();

// Page init
$Usuario_delete->Page_Init();

// Page main
$Usuario_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$Usuario_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fUsuariodelete = new ew_Form("fUsuariodelete", "delete");

// Form_CustomValidate event
fUsuariodelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fUsuariodelete.ValidateRequired = true;
<?php } else { ?>
fUsuariodelete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $Usuario_delete->ShowPageHeader(); ?>
<?php
$Usuario_delete->ShowMessage();
?>
<form name="fUsuariodelete" id="fUsuariodelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($Usuario_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $Usuario_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="Usuario">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($Usuario_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { echo "table-responsive "; } ?>ewGridMiddlePanel">
<table class="table ewTable">
<?php echo $Usuario->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($Usuario->Tipo_doc->Visible) { // Tipo_doc ?>
		<th><span id="elh_Usuario_Tipo_doc" class="Usuario_Tipo_doc"><?php echo $Usuario->Tipo_doc->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Documento->Visible) { // Documento ?>
		<th><span id="elh_Usuario_Documento" class="Usuario_Documento"><?php echo $Usuario->Documento->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Codigo_eps->Visible) { // Codigo_eps ?>
		<th><span id="elh_Usuario_Codigo_eps" class="Usuario_Codigo_eps"><?php echo $Usuario->Codigo_eps->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
		<th><span id="elh_Usuario_Tipo_Usuario" class="Usuario_Tipo_Usuario"><?php echo $Usuario->Tipo_Usuario->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Primer_ap->Visible) { // Primer_ap ?>
		<th><span id="elh_Usuario_Primer_ap" class="Usuario_Primer_ap"><?php echo $Usuario->Primer_ap->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Segundo_ap->Visible) { // Segundo_ap ?>
		<th><span id="elh_Usuario_Segundo_ap" class="Usuario_Segundo_ap"><?php echo $Usuario->Segundo_ap->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Primer_nom->Visible) { // Primer_nom ?>
		<th><span id="elh_Usuario_Primer_nom" class="Usuario_Primer_nom"><?php echo $Usuario->Primer_nom->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Segundo_nom->Visible) { // Segundo_nom ?>
		<th><span id="elh_Usuario_Segundo_nom" class="Usuario_Segundo_nom"><?php echo $Usuario->Segundo_nom->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Edad->Visible) { // Edad ?>
		<th><span id="elh_Usuario_Edad" class="Usuario_Edad"><?php echo $Usuario->Edad->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Unidad_edad->Visible) { // Unidad_edad ?>
		<th><span id="elh_Usuario_Unidad_edad" class="Usuario_Unidad_edad"><?php echo $Usuario->Unidad_edad->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Sexo->Visible) { // Sexo ?>
		<th><span id="elh_Usuario_Sexo" class="Usuario_Sexo"><?php echo $Usuario->Sexo->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Codigo_dpto->Visible) { // Codigo_dpto ?>
		<th><span id="elh_Usuario_Codigo_dpto" class="Usuario_Codigo_dpto"><?php echo $Usuario->Codigo_dpto->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Cod_municipio->Visible) { // Cod_municipio ?>
		<th><span id="elh_Usuario_Cod_municipio" class="Usuario_Cod_municipio"><?php echo $Usuario->Cod_municipio->FldCaption() ?></span></th>
<?php } ?>
<?php if ($Usuario->Zona_residencia->Visible) { // Zona_residencia ?>
		<th><span id="elh_Usuario_Zona_residencia" class="Usuario_Zona_residencia"><?php echo $Usuario->Zona_residencia->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$Usuario_delete->RecCnt = 0;
$i = 0;
while (!$Usuario_delete->Recordset->EOF) {
	$Usuario_delete->RecCnt++;
	$Usuario_delete->RowCnt++;

	// Set row properties
	$Usuario->ResetAttrs();
	$Usuario->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$Usuario_delete->LoadRowValues($Usuario_delete->Recordset);

	// Render row
	$Usuario_delete->RenderRow();
?>
	<tr<?php echo $Usuario->RowAttributes() ?>>
<?php if ($Usuario->Tipo_doc->Visible) { // Tipo_doc ?>
		<td<?php echo $Usuario->Tipo_doc->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Tipo_doc" class="Usuario_Tipo_doc">
<span<?php echo $Usuario->Tipo_doc->ViewAttributes() ?>>
<?php echo $Usuario->Tipo_doc->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Documento->Visible) { // Documento ?>
		<td<?php echo $Usuario->Documento->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Documento" class="Usuario_Documento">
<span<?php echo $Usuario->Documento->ViewAttributes() ?>>
<?php echo $Usuario->Documento->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Codigo_eps->Visible) { // Codigo_eps ?>
		<td<?php echo $Usuario->Codigo_eps->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Codigo_eps" class="Usuario_Codigo_eps">
<span<?php echo $Usuario->Codigo_eps->ViewAttributes() ?>>
<?php echo $Usuario->Codigo_eps->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
		<td<?php echo $Usuario->Tipo_Usuario->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Tipo_Usuario" class="Usuario_Tipo_Usuario">
<span<?php echo $Usuario->Tipo_Usuario->ViewAttributes() ?>>
<?php echo $Usuario->Tipo_Usuario->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Primer_ap->Visible) { // Primer_ap ?>
		<td<?php echo $Usuario->Primer_ap->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Primer_ap" class="Usuario_Primer_ap">
<span<?php echo $Usuario->Primer_ap->ViewAttributes() ?>>
<?php echo $Usuario->Primer_ap->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Segundo_ap->Visible) { // Segundo_ap ?>
		<td<?php echo $Usuario->Segundo_ap->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Segundo_ap" class="Usuario_Segundo_ap">
<span<?php echo $Usuario->Segundo_ap->ViewAttributes() ?>>
<?php echo $Usuario->Segundo_ap->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Primer_nom->Visible) { // Primer_nom ?>
		<td<?php echo $Usuario->Primer_nom->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Primer_nom" class="Usuario_Primer_nom">
<span<?php echo $Usuario->Primer_nom->ViewAttributes() ?>>
<?php echo $Usuario->Primer_nom->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Segundo_nom->Visible) { // Segundo_nom ?>
		<td<?php echo $Usuario->Segundo_nom->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Segundo_nom" class="Usuario_Segundo_nom">
<span<?php echo $Usuario->Segundo_nom->ViewAttributes() ?>>
<?php echo $Usuario->Segundo_nom->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Edad->Visible) { // Edad ?>
		<td<?php echo $Usuario->Edad->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Edad" class="Usuario_Edad">
<span<?php echo $Usuario->Edad->ViewAttributes() ?>>
<?php echo $Usuario->Edad->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Unidad_edad->Visible) { // Unidad_edad ?>
		<td<?php echo $Usuario->Unidad_edad->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Unidad_edad" class="Usuario_Unidad_edad">
<span<?php echo $Usuario->Unidad_edad->ViewAttributes() ?>>
<?php echo $Usuario->Unidad_edad->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Sexo->Visible) { // Sexo ?>
		<td<?php echo $Usuario->Sexo->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Sexo" class="Usuario_Sexo">
<span<?php echo $Usuario->Sexo->ViewAttributes() ?>>
<?php echo $Usuario->Sexo->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Codigo_dpto->Visible) { // Codigo_dpto ?>
		<td<?php echo $Usuario->Codigo_dpto->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Codigo_dpto" class="Usuario_Codigo_dpto">
<span<?php echo $Usuario->Codigo_dpto->ViewAttributes() ?>>
<?php echo $Usuario->Codigo_dpto->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Cod_municipio->Visible) { // Cod_municipio ?>
		<td<?php echo $Usuario->Cod_municipio->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Cod_municipio" class="Usuario_Cod_municipio">
<span<?php echo $Usuario->Cod_municipio->ViewAttributes() ?>>
<?php echo $Usuario->Cod_municipio->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($Usuario->Zona_residencia->Visible) { // Zona_residencia ?>
		<td<?php echo $Usuario->Zona_residencia->CellAttributes() ?>>
<span id="el<?php echo $Usuario_delete->RowCnt ?>_Usuario_Zona_residencia" class="Usuario_Zona_residencia">
<span<?php echo $Usuario->Zona_residencia->ViewAttributes() ?>>
<?php echo $Usuario->Zona_residencia->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$Usuario_delete->Recordset->MoveNext();
}
$Usuario_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $Usuario_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fUsuariodelete.Init();
</script>
<?php
$Usuario_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$Usuario_delete->Page_Terminate();
?>
